<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="./vue.js"></script>
    <title>Document</title>
    <style>
        .verde{
            background-color: green;
        }
        .verde-claro{
            background-color: greenyellow;
        }
        .branco{
            background-color: white;
        }
        .azul{
            background-color: blue;
        }
        .vermelho{
            background-color: red;
        }
        .borda{
            border: 1px solid;
        }
        .div-principal{
            width: 200px;
            height: 200px;
        }
        .div-comum{
            width : 50px;
            height: 50px;
            display: inline-block;
        }
    </style>
</head>
<body>
    <div id="app">
        <div  class="borda div-principal" :class="cor">
            Cor:{{cor}}
            <br>
            Posição x do mouse:{{posicaoX}}
            <br>
            Posição y do mouse:{{posicaoY}}

        </div>
        <hr>
        <div @click="mudarCor('verde')" class="borda div-comum"></div>
        <div class="borda div-comum" 
             @mouseover="mudarCor('azul')" 
             @mouseout="mudarCor('vermelho')"> 
        </div>
        <div class="borda div-comum" @mousemove="coordenadas($event)"></div>
    </div>

  <script>

        const vm = new Vue({
            el:'#app',
            data:{
                cor:'branco',
                posicaoX:0,
                posicaoY:0
            },
            methods:{
                mudarCor(c){
                    this.cor = c;
                },
                coordenadas(e){
                    this.posicaoX = e.clientX
                    this.posicaoY = e.clientY
                }
            }
        })

    </script>
</body>
</html>